Web lists-archives.com

Re: apt (or apt-get) cannot find a package that should be there




On Thursday, 31 May 2018 at 18:01, Sven Joachim wrote:
> On 2018-05-31 15:55 +0100, Eric S Fraga wrote:
>
>> I am trying to install cmake on a buster system.  When I try "apt
>> install cmake" (or equivalently with apt-get), I am told the package
>> doesn't exist.  I have updated, checked and cleaned using apt-get
>> several times.  The database is somehow corrupt as I know that cmake
>> exists: searching on Debian's website clearly shows it there for
>> buster and looking at the actual deb site shows cmake there.
>
> Probably apt's cache is corrupt, I had seen something like this myself
> some time ago.

[...]

>> Any suggestions on how to fix this?
>
> Delete /var/cache/apt/*.bin .  Next time you run one of the apt tools as
> root, they will recreate those files.

This did the job!  Thank you.
-- 
Eric S Fraga via Emacs 27.0.50 & org 9.1.13 on Debian buster/sid

Attachment: signature.asc
Description: PGP signature